Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Static Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\Criterion Class Reference

Parser for ViewInput. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\Criterion:

## Public Member Functions
| dispatchCriterion ($criterionName, $criterionData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a criterion name + data to its own parser. More...
| dispatchFacetBuilder ($facetBuilderName, $facetBuilderData, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a facet builder name + data to its own parser. More...
| dispatchSortClause ($sortClauseName, $direction, ParsingDispatcher $parsingDispatcher)
| Dispatches parsing of a sort clause name + direction to its own parser. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Member Functions
| getCriterionMediaType ($criterionName)
| getSortClauseMediaType ($sortClauseName)
| getFacetBuilderMediaType ($facetBuilderName)

## Static Protected Attributes
static | $criterionIdMap

## Additional Inherited Members
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for ViewInput.

Definition at line 16 of file Core/REST/Server/Input/Parser/Criterion.php.

## Member Function Documentation

## ◆ dispatchCriterion()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion::dispatchCriterion | ( |  | $criterionName,
|  |  | $criterionData,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Dispatches parsing of a criterion name + data to its own parser.

Parameters

  string | $criterionName |
  mixed | $criterionData |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Exceptions

Definition at line 36 of file Core/REST/Server/Input/Parser/Criterion.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Criterion\getCriterionMediaType(), and eZ\Publish\Core\REST\Common\Input\ParsingDispatcher\parse().

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalAnd\parse(), eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalNot\parse(), eZ\Publish\Core\REST\Server\Input\Parser\Criterion\LogicalOr\parse(), and eZ\Publish\Core\REST\Server\Input\Parser\Query\processCriteriaArray().

## ◆ dispatchFacetBuilder()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion::dispatchFacetBuilder | ( |  | $facetBuilderName,
|  |  | $facetBuilderData,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Dispatches parsing of a facet builder name + data to its own parser.

Parameters

  string | $facetBuilderName |
  mixed | $facetBuilderData |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Exceptions

Definition at line 57 of file Core/REST/Server/Input/Parser/Criterion.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Criterion\getFacetBuilderMediaType(), and eZ\Publish\Core\REST\Common\Input\ParsingDispatcher\parse().

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Query\parse().

## ◆ dispatchSortClause()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion::dispatchSortClause | ( |  | $sortClauseName,
|  |  | $direction,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Dispatches parsing of a sort clause name + direction to its own parser.

Parameters

  string | $sortClauseName |
  string | $direction |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Exceptions

Definition at line 79 of file Core/REST/Server/Input/Parser/Criterion.php.

References eZ\Publish\Core\REST\Server\Input\Parser\Criterion\getSortClauseMediaType(), and eZ\Publish\Core\REST\Common\Input\ParsingDispatcher\parse().

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Query\processSortClauses().

## ◆ getCriterionMediaType()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion::getCriterionMediaType | ( |  | $criterionName | ) |
| protected

Definition at line 86 of file Core/REST/Server/Input/Parser/Criterion.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\dispatchCriterion().

## ◆ getFacetBuilderMediaType()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion::getFacetBuilderMediaType | ( |  | $facetBuilderName | ) |
| protected

Definition at line 101 of file Core/REST/Server/Input/Parser/Criterion.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\dispatchFacetBuilder().

## ◆ getSortClauseMediaType()

eZ\Publish\Core\REST\Server\Input\Parser\Criterion::getSortClauseMediaType | ( |  | $sortClauseName | ) |
| protected

Definition at line 96 of file Core/REST/Server/Input/Parser/Criterion.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\Criterion\dispatchSortClause().

## Member Data Documentation

## ◆ $criterionIdMap

eZ\Publish\Core\REST\Server\Input\Parser\Criterion::$criterionIdMap
| static protected

Initial value:
= [
'AND' => 'LogicalAnd',
'OR' => 'LogicalOr',
'NOT' => 'LogicalNot',
]

Definition at line 19 of file Core/REST/Server/Input/Parser/Criterion.php.

The documentation for this class was generated from the following file:

- Core/REST/Server/Input/Parser/Criterion.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.